#include "aron_conversions.h"

#include <RobotAPI/libraries/aron/common/aron_conversions.h>

#include "Navigation/libraries/global_planning/GlobalPlanner.h"
#include "Navigation/libraries/global_planning/Point2Point.h"
#include "Navigation/libraries/global_planning/aron/GlobalPlannerParams.aron.generated.h"
#include "Navigation/libraries/global_planning/aron/Point2PointParams.aron.generated.h"
// #include "Navigation/libraries/global_planning/aron/AStarParams.aron.generated.h"

namespace armarx::nav::glob_plan::aron_conv
{
    void
    toAron(arondto::GlobalPlannerParams& dto, const GlobalPlanner& bo)
    {
    }

    void
    fromAron(const arondto::GlobalPlannerParams& dto, GlobalPlanner& bo)
    {
    }

    void
    toAron(arondto::Point2PointParams& dto, const Point2PointParams& bo)
    {
        // fromAron(static_cast<const arondto::GlobalPlannerParams&>(dto), static_cast<const GlobalPlannerParams&>(bo));
        aron::toAron(dto.includeStartPose, bo.includeStartPose);
        aron::toAron(dto.velocity, bo.velocity);
    }

    void
    fromAron(const arondto::Point2PointParams& dto, Point2PointParams& bo)
    {
        // fromAron(static_cast<arondto::GlobalPlannerParams&>(dto), static_cast<GlobalPlannerParams&>(bo));
        aron::fromAron(dto.includeStartPose, bo.includeStartPose);
        aron::fromAron(dto.velocity, bo.velocity);
    }
} // namespace armarx::nav::glob_plan::aron_conv
